﻿@model List<VirtualCarGarage.MVC.Models.ServiceHistoryViewModel>;
@using Microsoft.AspNetCore.Identity
@using VirtualCarGarage.Data.Models

@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

@{ ViewData["Title"] = "Index"; }
@{ Layout = "~/Views/Shared/_Layout.cshtml"; }


<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">Service Histories</h1>

        <p>
            <a class="text-primary font-weight-bolder" asp-action="Create">Create</a>
        </p>
        @if (Model.Count == 0)
        {
<h3 class="text-dark font-weight-bolder">No Service Histories registered.</h3>}
        @if (Model.Count != 0)
        {
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.First().ServiceHistoryId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.First().CarId)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
<tr>
    <td>
        @Html.DisplayFor(modelItem => item.ServiceHistoryId)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.CarId)
    </td>
    <td>
        <a asp-action="Edit" asp-route-id="@item.ServiceHistoryId">Edit</a> |
        <a asp-action="Details" asp-route-id="@item.ServiceHistoryId">Details</a> |
        <a asp-action="Delete" asp-route-id="@item.ServiceHistoryId">Delete</a>
    </td>
</tr>}
    </tbody>
</table>}
    </div>
    <div class="text-center">
        <a asp-controller="Home" asp-action="Index" class="btn btn-primary">Back</a>
    </div>
</div>
